Subject: Re: [PATCH] ip: reuse ip_summed of first fragment for all subsequent fragments

From: Timo Juhani Lindfors <[email-masked]>
Date: Wed, 16 Feb 2011 11:10:56 +0200

David Miller <[email-masked]> writes:
> You're now not handling the code block above this one, guarded
> by the "if (len <= 0)" check.

Yes that's true. Should we use skb_copy_bits() when sk->sk_no_check ==
UDP_CSUM_NOXMIT?

> You seem to just be peppering checks all over the place rather
> than coming up with a coherent, complete, fix for this problem.

I can understand that but I'm afraid that I lack the expertise to do
that. I might be able to fix the above problem but I can't be sure that
it is the only one. The bug report will remain at

https://bugzilla.kernel.org/show_bug.cgi?id=24832

in case somebody wants to continue from here.